#ifndef IBN_DEVICE_GENERATOR_H
#define IBN_DEVICE_GENERATOR_H
#include "Device.h"
#include <thread>
namespace device 
{
	class Generator : public Device
	{
		public:
		virtual ~Generator(void) {};
		virtual void On(void) = 0;
		virtual void Off(void) = 0 ;
		virtual bool IsOn(void) const = 0;
		virtual void SetFrequency(double f /* Hz */) = 0;
		virtual double GetFrequency(void)  const = 0;
		virtual void GenerateFrequency(double f /* Hz */, const std::chrono::duration<double, std::ratio<1,1>> & )  = 0; 
	};
}
#endif
